clear all
clf

tx = ty = linspace (-2, 2, 41)';
[xx, yy] = meshgrid (tx, ty);
tz = xx.^2 + yy.^2;

mesh(tx, ty, tz)

hold on

[x, y] = meshgrid (-2:0.2:2);
h = quiver (x, y, 2*x, 2*y);
set (h, "maxheadsize", 0.33);

hold off
